%define url_ver      %(echo %{version}|cut -d. -f1,2)

Summary: MATE control center
Name:    mate-control-center
Version: 1.28.0
Release: %mkrel 1
License: GPLv2+
Group:   Graphical desktop/MATE
URL:     https://mate-desktop.org
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) display icons when control-center is not started from MATE (Mdk bug #16767)
Patch0:  gnome-control-center-2.27.90-menulocation.patch
# (fc) force default dpi to 96, don't use X server value
# was: gnome-control-center-2.23.6-forcedpi.patch
Patch1:  mate-control-center-1.20.0-mga-forcedpi.patch
# (fc) fix markup (GNOME bug #597006) (Fedora)
Patch2:  mate-control-center-1.28.0-fix-markup.patch
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(unique-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  itstool
#for xmllint
BuildRequires:  libxml2-utils
BuildRequires:	intltool
BuildRequires:	mate-common >= %{url_ver}
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(accountsservice)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(libmarco-private) >= %{url_ver}
BuildRequires:  pkgconfig(libmate-menu) >= %{url_ver}
BuildRequires:  pkgconfig(libmatekbd) >= %{url_ver}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  pkgconfig(mate-settings-daemon) >= %{url_ver}
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(dconf) >= 0.13.4
BuildRequires:  pkgconfig(xi) >= 1.5
BuildRequires:  pkgconfig(libxklavier) >= 5.2
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(udisks2)
#BuildRequires:  menu-messages
BuildRequires:  pkgconfig(ayatana-appindicator3-0.1) >= 0.0.13

Requires:   mate-settings-daemon >= %{url_ver}
Requires:   gnome-keyring
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

# No more libs/devel pkg
Obsoletes:      %{_lib}mate-window-settings-devel < 1.28.0

%description
MATE Control-center is a configuration tool for easily
setting up your MATE environment.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
           --with-x \
           --disable-static          \
           --disable-schemas-compile \
           --disable-update-mimedb

%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

mkdir -p %{buildroot}%{_datadir}/mate-background-properties

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/menus/matecc.menu
%{_bindir}/mate-*
%{_sbindir}/mate-display-properties-install-systemwide
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-*/
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/glib-2.0/schemas/org.mate.control-center.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.control-center.keybinding.gschema.xml
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/thumbnailers/mate-font-viewer.thumbnailer
%{_datadir}/man/man1/mate-*.1*
# no devel
%{_libdir}/pkgconfig/mate-*.pc


%changelog
* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051741
- new version 1.28.0

* Sun Jun 11 2023 daviddavid <daviddavid> 1.26.1-2.mga9
+ Revision: 1961749
- remove unmaintained xf86misc support now disable by default (fix mga#31867)

* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959795
- Update to version 1.26.1

* Sat Apr 02 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1840886
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740786
- new version 1.26.0

* Mon Apr 05 2021 kekepower <kekepower> 1.24.2-1.mga9
+ Revision: 1713559
- Update to version 1.24.2

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618696
- Update to version 1.24.1

* Mon Aug 03 2020 wally <wally> 1.24.0-3.mga8
+ Revision: 1610824
- enable accountsservice support
- add patch to port to Ayatana AppIndicator

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547912
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488716
- Update files list
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465675
- Update to version 1.22.2

* Mon Oct 21 2019 pterjan <pterjan> 1.22.1-3.mga8
+ Revision: 1454826
- rebuild with marco 1.22.2 on armv7hl

* Thu Jul 18 2019 wally <wally> 1.22.1-2.mga8
+ Revision: 1422601
- rebuild with marco 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397028
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375485
- Update to version 1.22.0

* Thu Dec 20 2018 kekepower <kekepower> 1.20.4-1.mga7
+ Revision: 1343125
- Update to version 1.20.4

* Sat Dec 01 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1337243
- Update to version 1.20.3
- Rolled back to r1299467

* Mon Nov 26 2018 kekepower <kekepower> 1.21.1-1.mga7
+ Revision: 1335511
- Update to version 1.21.2

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299467
- Mageia 7 Mass Rebuild

* Mon Mar 05 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1206592
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.2-1.mga7
+ Revision: 1187429
- Updated to 1.19.2 version

* Sat Oct 28 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1174493
- Updated to 1.19.0 version

* Thu Aug 24 2017 wally <wally> 1.18.2-1.mga7
+ Revision: 1147493
- new version 1.18.2
+ tarakbumba <tarakbumba>
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092585
- Update to 1.18.0 version
- Update to 1.17.3 version
- Updated to 1.17.2 version
- Updated to 1.17.1 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074708
- new version 1.16.0
- build with gtk3 and appindicator

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001245
- Update to 1.14.0 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.2-1.mga6
+ Revision: 979313
- Update to 1.13.2 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 947952
- Update to 1.13.1 version

* Mon Dec 07 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908686
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898515
-Update to 1.12.0 version

* Tue Oct 06 2015 tarakbumba <tarakbumba> 1.10.2-1.mga6
+ Revision: 886648
- Update to 1.10.2 version

* Sat Sep 05 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872981
- new version 1.10.1

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837269
- Update to 1.10.0 version

* Sat Feb 21 2015 tarakbumba <tarakbumba> 1.8.3-3.mga5
+ Revision: 816284
- Fix category translations
- Use enums from gsettings-desktop-schema

* Wed Oct 15 2014 umeabot <umeabot> 1.8.3-2.mga5
+ Revision: 745351
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.3-1.mga5
+ Revision: 731559
- Update to 1.8.3 version
- Use autosetup macro in specfile

* Sat Sep 27 2014 tv <tv> 1.8.2-3.mga5
+ Revision: 727157
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 682187
- Mageia 5 Mass Rebuild

* Fri Jul 11 2014 tarakbumba <tarakbumba> 1.8.2-1.mga5
+ Revision: 651323
- Update to 1.8.2 version

* Fri Jul 11 2014 tarakbumba <tarakbumba> 1.8.1-3.mga5
+ Revision: 651188
- Drop mate-drakconf and mate-drakkeyboard, non needed.

* Sat Apr 05 2014 tarakbumba <tarakbumba> 1.8.1-2.mga5
+ Revision: 612132
- Add drakconf launcher script and desktop file for common mate apps.

* Thu Mar 20 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 606301
- Update to 1.8.1 version

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600096
- Updated to version 1.8.0

* Mon Mar 03 2014 tarakbumba <tarakbumba> 1.7.90-2.mga5
+ Revision: 599029
- Fix requires for devel package

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598173
- Update to 1.7.90 version

* Sat Feb 22 2014 tarakbumba <tarakbumba> 1.6.2-2.mga5
+ Revision: 595644
- Enable typing-break support (mga#12838)

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563854
-Update to new bugfix version: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531718
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 464686
- updated sources to 1.6.1

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461766
- use buildroot macro
+ tarakbumba <tarakbumba>
- imported package mate-control-center

